package CHAPTER10;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

public class C10_20_JScrollPaneExample extends JFrame {
	public C10_20_JScrollPaneExample() {

		JTextArea textArea = new JTextArea(10, 30);

		JScrollPane scrollPane = new JScrollPane(textArea);

		// JScrollPane을 JFrame에 추가
		add(scrollPane);

		// JFrame 설정
		setTitle("JScrollPane Example");
		setSize(300, 200);
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		setVisible(true);
	}

	public static void main(String[] args) {
		new C10_20_JScrollPaneExample();
	}
}